<?php
require_once('guiconfig.inc');
require_once('.api.php');
global $config, $ipqs;

if(strlen($ipqs['config']['oauth']['access_token']) === 128){
    $url = "https://ipqualityscore.com/webhooks/pfsense/html/overview";
    $fields = array(
        'secret' => $ipqs['config']['oauth']['access_token'],
        'key' => $ipqs['config']['oauth']['domain']
    );

    $curl = curl_init();
    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($curl, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($curl, CURLOPT_POST, 1);
    curl_setopt($curl, CURLOPT_POSTFIELDS, http_build_query($fields));
    $result = curl_exec($curl);
    $response_code = curl_getinfo($curl, CURLINFO_HTTP_CODE);
    curl_close($result);
}
$pgtitle = array(gettext('Firewall'), gettext('IPQualityScore'));
$pglinks = array('', '@self');
include('head.inc');

display_top_tabs($ipqs['fnc']['nav'](), true);

echo "<div class=\"panel panel-default\" style=\"width:100%; min-height: 640px\">{$result}</div>";

?>

<?php include("foot.inc"); ?>